TAU_GEN_WRAPPER(1)

NAME
tau_gen_wrapper - Generates a wrapper library that can intercept at link time or at runtime routines specified in a header file

SYNOPSIS

tau_gen_wrapper {headerfile} {library} [-w | -d | -r]

OPTIONS

headerfile
    Name of the headerfile to be wrapped

library
    Name of the library to wrap

-w  (default) generates wrappers for re-linking the application

-d  generates wrappers by redefining routines during compilation in header files

-r  generates wrappers that may be pre-loaded using tau_exec at runtime

EXAMPLES

%>  tau_gen_wrapper hdf5.h /usr/lib/libhdf5.a

This generates a wrapper library that may be linked in using TAU_OPTIONS -optTauWrapFile=<wrapperdir>/link_options.tau

NOTES

tau_gen_wrapper reads the TAU_MAKEFILE environment variable to get PDT settings